"""fix img caching templates

Revision ID: 2c28308c24cd
Revises: 2b6fb28c98cb
Create Date: 2022-10-19 08:33:38.168474

"""
from alembic import op


# revision identifiers, used by Alembic.
revision = "2c28308c24cd"
down_revision = "2b6fb28c98cb"
branch_labels = None
depends_on = None

new_condor = """executable = vlass_image_caching.sh
arguments = {{calibration_name}} {{phase_center}} {{vlass_relative_path}} {{qa_status}}

output = image_caching.out
error = image_caching.err
log = condor.log

SBIN_PATH = /lustre/aoc/cluster/pipeline/$ENV(CAPO_PROFILE)/workspaces/sbin
PIMS_PATH = /lustre/aoc/cluster/pipeline/vlass_{{vlass_env}}/workspaces/bin

should_transfer_files = yes
transfer_input_files = $ENV(HOME)/.ssh/condor_transfer, nraorsync://$(SBIN_PATH)/pycapo, nraorsync://$(PIMS_PATH)/pimscache, nraorsync://$(PIMS_PATH)/cacheImagingProducts.sh

getenv = True
environment = "CAPO_PATH=/home/casa/capo"
requirements = (VLASS == True) && (HasLustre == True)
+partition = "VLASS"

queue

"""

old_condor = """executable = vlass_image_caching.sh
arguments = {{calibration_name}} {{phase_center}} {{vlass_relative_path}} {{qa_status}}

output = image_caching.out
error = image_caching.err
log = condor.log

SBIN_PATH = /lustre/aoc/cluster/pipeline/$ENV(CAPO_PROFILE)/workspaces/sbin
PIMS_PATH = /lustre/aoc/cluster/pipeline/vlass_{{vlass_env}}/workspaces/bin
VLASS_DIR = {{data_location}}
should_transfer_files = yes
transfer_input_files = $ENV(HOME)/.ssh/condor_transfer, nraorsync://$(SBIN_PATH)/pycapo, nraorsync://$(PIMS_PATH)/pimscache, nraorsync://$(PIMS_PATH)/cacheImagingProducts.sh
when_to_transfer_output = ON_EXIT
transfer_output_files = .job.ad
output_destination = nraorsync://$(VLASS_DIR)
+WantIOProxy = True

getenv = True
environment = "CAPO_PATH=/home/casa/capo"
requirements = (VLASS == True) && (HasLustre == True)
+partition = "VLASS"

queue

"""


def upgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{new_condor}' WHERE filename='vlass_image_caching.condor'
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{old_condor}' WHERE filename='vlass_image_caching.condor'
        """
    )
